package net.knarcraft.ffmpegconverter.streams;

public interface StreamObject {

    /**
     * Gets the name of the stream codec
     *
     * @return <p>Codec name.</p>
     */
    String getCodecName();

    /**
     * Gets the absolute index of a stream object
     *
     * @return <p>Absolute index.</p>
     */
    int getAbsoluteIndex();

    /**
     * Gets the relative index of a stream object (kth element of codec type)
     *
     * @return <p>Relative index.</p>
     */
    int getRelativeIndex();

    /**
     * Gets the language of the audio stream
     *
     * @return <p>The language of the audio stream.</p>
     */
    String getLanguage();

}
